/*****************************************************************************

  Program:      rssFeedTest.p
  
  Written By:   Gordon Campbell
  Written On:   June 30, 2005
  
  Description:  This illustrates how to use the rssFeed.p program

*****************************************************************************/

&GLOBAL-DEFINE RSSDir c:\gord\rss\

{ {&RSSDIR}rssFeed.i }

/* Define variables to track RSS Feed elements */
DEFINE VARIABLE iFeed     AS INTEGER NO-UNDO.
DEFINE VARIABLE iChannel  AS INTEGER NO-UNDO.
DEFINE VARIABLE iItem     AS INTEGER NO-UNDO.

/* Initiate a Feed */
iFeed = CreateRSSFeed("{&RSSDir}feed.xml").
IF iFeed < 0 THEN DO:
  MESSAGE GetRSSError(iFeed) VIEW-AS ALERT-BOX.
  RETURN.
END.

/* Initiate a Channel */
iChannel = CreateRSSChannel(iFeed,
                            "PRO-SYS RSS Feed",
                            "www.epro-sys.com",
                            "PRO-SYS Consultants Ltd.").
IF iChannel < 0 THEN DO:
  MESSAGE GetRSSError(iChannel) VIEW-AS ALERT-BOX.
  RETURN.
END.

/* Set a couple of Channel Options */
SetRSSChannelOption(iFeed,
                    iChannel,
                    "language",
                    "en-us").
SetRSSChannelOption(iFeed,
                    iChannel,
                    "copyright",
                    "Copyright 2006, PRO-SYS Consultants Ltd.").

/* Create an Item in the Channel */
iItem = CreateRSSItem(iFeed,
                      iChannel,
                      "New PRO-SYS RSS Feed",
                      "This is an item that illustrates the rssFeed.i include").
IF iItem < 0 THEN DO:
  MESSAGE GetRSSError(iItem) VIEW-AS ALERT-BOX.
  RETURN.
END.

/* Set a couple of Item Options */
SetRSSItemOption(iFeed,
                 iChannel,
                 iItem,
                 "link",
                 "http://www.epro-sys.com").
SetRSSItemOption(iFeed,
                 iChannel,
                 iItem,
                 "author",
                 "Gordon Campbell").

/* Write the Feed */
SaveRSSFeed(iFeed).

/* Clear the Feed */
ClearRSSFeed(iFeed).

/* end of rssFeedTest.p */
